{ pkgs, ... }:

{
  config = {
    # Use pcscd for smartcard support
    services.pcscd.enable = true;

    programs.gnupg = {
      package = pkgs.gnupg.overrideAttrs (superAttrs: {
        configureFlags = superAttrs.configureFlags or []
          ++ [ "--disable-ccid-driver" ];
      });
      agent = {
        enable = true;
        pinentryPackage = pkgs.pinentry-qt;
      };
    };
  };
}
